1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Ubuntu Autoinstaller Aborts

Discussion in 'Plesk for Linux - 8.x and Older' started by LordShelmchen, Feb 7, 2007.

  1. LordShelmchen

    LordShelmchen Guest

    0
     
    Hi,

    i was trying to install Plesk with the plesk autoinstaller ("psa_installer_v3.1.1_build061218.16_os_Ubuntu_6. 06_x86_64") on Ubuntu 6.06 Server, but the installation fails. It doesn't matter if i choose all or just base installation packages. Here is the error message:

    How can i install Plesk with autoinstaller?
     
  2. LordShelmchen

    LordShelmchen Guest

    0
     
    Did no one have an idea?

    I think this is a general failure, because the autoupdate of my prod plesk autoupdater get similar error messages...
     
  3. kingsquare

    kingsquare New Pleskian

    22
    23%
    Joined:
    Feb 10, 2007
    Messages:
    9
    Likes Received:
    0
    dito

    Having the same problem here... tried with 6.06 AND 6.10 with and without the autoinstaller... (manual installation totally breaks my apt)

    Any clues / tips?
     
  4. LordShelmchen

    LordShelmchen Guest

    0
     
    @kingsquare:
    I have tried the manual and automatic installation under ubuntu and debian, but there is alway the same error message (see first post).

    I have told that problem to SWsoft (Mr. Alban Carl, Account Manager Darmstadt, Germany), but he said that he don't know about a (general) failure in autoinstaller...

    He said that i should contact the support, but i don't want to pay for a problem made by SWsoft himself...

    By the way, if you have an Plesk installation under debian, the update does not work for a few days. Someone has opened a call to SWsoft and they close that call without an answer, but the update installation is now ok. For more information click here: http://www.serversupportforum.de/forum/plesk/14139-plesk-8-1-0-autoupdate-funktioniert-nicht.html

    Can anyone help?
     
  5. kingsquare

    kingsquare New Pleskian

    22
    23%
    Joined:
    Feb 10, 2007
    Messages:
    9
    Likes Received:
    0
    We switched to CentOS without problems and got the stuff running in a matter of hours...

    Thnx SWsoft, for the great support :(
     
  6. ArizonaSky

    ArizonaSky Guest

    0
     
    I had the same problem early Tuesday morning and noticed I couldn't get to the Plesk download page or the forum and all traceroutes from 3 different areas of the U.S. were filled with errors.

    So not sure that had any effect.

    When I run the autoinstaller now I still get the following errors below.

    Any suggestions?

    Thanks...


    ************************************
    N) Next page; P) Go back; Q) Cancel installing;
    A) Select all; D) Deselect all;
    To toggle component enter its number;
    Type a number or a character of desired action [N]:
    resolve packages with apt-get
    E: Version '3.1.3-ubuntu6.06.build81070201.15' for 'psa-horde' was not found
    apt-get say following:
    Reading package lists...
    Building dependency tree...

    ERROR: Error while resolve packages by apt
    ERROR: Installation failed

    ************************************
    This is from the /tmp/autoinstaller3.log and the latest attempt with the autoinstaller:



    ERROR: Error while resolve packages by apt

    ProductInf3FileGuard: check md5 in end of installation
    ProductInf3FileGuard: md5sum of build inf3 was not changed from begin of installation.
    catch error with message: Installation failed
    ERROR: Installation failed
    Check SElinux status after error:
    Execute command getenforce
    sh: getenforce: command not found
    Exit with ERROR status
     
  7. LordShelmchen

    LordShelmchen Guest

    0
     
    That is the same problem that i have since a few couple of days.

    I will ask Mr. Alban Carl, Account Manager Darmstadt, Germany if i have to pay for a call, when the problems are selfmade by SWsoft.

    I don't want to pay for such a terrible mistake of them!

    Question: Did SWsoft read the posts in their own forum? (I think not!)
     
  8. ArizonaSky

    ArizonaSky Guest

    0
     
    I tried to install Plesk manually on one server to get around this autoinstaller problem but I can't find any of these required packages from the release notes:

    ***************************************
    Install the packages of indicated versions or higher from the Ubuntu-6.06 i386 disc:

    '''update-deb-Ubuntu-6.06-i386/'''

    j2re1.4_1.4.2.01-1_i386.deb
    php4-ioncube-loader_3.0-ubn60.build06101212_i386.deb
    php5-ioncube-loader_3.0-ubn60.build06101212_i386.deb
    j2sdk1.4_1.4.2.01-1_i386.deb
    psa-php4-configurator_1.1.0-ubuntu6.06.build81061129.23_all.deb
    psa-php5-configurator_1.1.0-ubuntu6.06.build81061129.23_all.deb
    ***************************************

    I checked the whole Ubuntu disk and they are not there, so what disc is Plesk referring to?

    They aren't in the Plesk distribution directories either nor in the Ubuntu website packages section nor can I use apt-get install to get them?

    Anyone know where I can actually get these required packages?
     
  9. kingsquare

    kingsquare New Pleskian

    22
    23%
    Joined:
    Feb 10, 2007
    Messages:
    9
    Likes Received:
    0
    the whole ubuntu documentation is actually the debian version and it truely doens'n't fit the bill..

    We bypassed our problem by changing OS to CentOs.. So long Plesk/Ubuntu combo...
     
  10. jorfermo

    jorfermo Regular Pleskian

    26
     
    Joined:
    Jun 22, 2005
    Messages:
    102
    Likes Received:
    0
    Same problem here....
     
  11. LordShelmchen

    LordShelmchen Guest

    0
     
    I have asked Mr. Alban Carl about the call.

    So i will open a call. I will inform you about the actual status...
     
  12. ArizonaSky

    ArizonaSky Guest

    0
     
    I did check the debian site also and I couldn't find the packages there either. Unless I'm missing something. So can't install manually or via the autoinstaller... wonderful!

    Won't be giving up Ubuntu here as it's the best OS I've ever used and solved a lot of issues for me. It's a beautiful piece of engineering and very stable. Plesk will go long before Ubuntu.

    Yes, let us know what you hear...
     
  13. LordShelmchen

    LordShelmchen Guest

    0
     
    I got the first response: They have done something and i got another packege that fails: plesk-pam

    The ticket is now at the developer.

    Status: waiting...
     
  14. msc_onoma

    msc_onoma Guest

    0
     
    I just tried the update again, and it did work! (from command line with /opt/psa/admin/bin/autoinstaller)

    It installed these packages
    psa-horde psa-hotfix5 psa-locale-base-en-us
     
  15. LordShelmchen

    LordShelmchen Guest

    0
     
    Latest news about the call:

    SWsoft is working on it, but an autoinstall is not yet possible.

    To be continued...
     
  16. ArizonaSky

    ArizonaSky Guest

    0
     
    I tried to run the autoinstaller earlier today on a clean server and it seemed to work ok. No problem finding or downloading the files this time.

    I'm not going to try it on my production servers till I check things out a bit more.
     
  17. LordShelmchen

    LordShelmchen Guest

    0
     
    It works :)

    The only thing you have to do now ist to edit the sources.list. Add "universe multiverse" to every line and run the autoinstaller.

    Have fun!
     
  18. jcrim

    jcrim Guest

    0
     
    Interesting...

    My /etc/apt/sources.list =

    deb http://autoinstall.plesk.com/ubuntu/PSA_8.1.0 dapper all

    Do you mean add "universe multiverse" after "all"???

    I get the following when doing that:
    Err http://autoinstall.plesk.com dapper/universe Packages
    404 Not Found
    Err http://autoinstall.plesk.com dapper/multiverse Packages
    404 Not Found
    Failed to fetch http://autoinstall.plesk.com/ubuntu/PSA_8.1.0/dists/dapper/universe/binary-i386/Packages.gz 404 Not Found
    Failed to fetch http://autoinstall.plesk.com/ubuntu/PSA_8.1.0/dists/dapper/multiverse/binary-i386/Packages.gz 404 Not Found
    Reading package lists... Done
    E: Some index files failed to download, they have been ignored, or old ones used instead.

    What do you think?
     
  19. jcrim

    jcrim Guest

    0
     
    What entries are in your Source.list?


     
Loading...